﻿--
-- Script was generated by Devart dbForge Studio 2019 for MySQL, Version 8.2.23.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 26/01/2021 14:15:18
-- Server version: 5.7.30-log
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS ejemplo22;

CREATE DATABASE IF NOT EXISTS ejemplo22
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE ejemplo22;

--
-- Create table `autores`
--
CREATE TABLE IF NOT EXISTS autores (
  idAutor int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(100) DEFAULT NULL,
  edad int(11) DEFAULT NULL,
  PRIMARY KEY (idAutor)
)
ENGINE = INNODB,
AUTO_INCREMENT = 11,
AVG_ROW_LENGTH = 1638,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `noticias`
--
CREATE TABLE IF NOT EXISTS noticias (
  idNoticia int(11) NOT NULL AUTO_INCREMENT,
  titulo varchar(50) DEFAULT NULL,
  idAutor int(11) DEFAULT NULL,
  PRIMARY KEY (idNoticia)
)
ENGINE = INNODB,
AUTO_INCREMENT = 11,
AVG_ROW_LENGTH = 1638,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE noticias
ADD CONSTRAINT fknoticiasautores FOREIGN KEY (idAutor)
REFERENCES autores (idAutor) ON DELETE NO ACTION ON UPDATE NO ACTION;

-- 
-- Dumping data for table autores
--
INSERT INTO autores VALUES
(1, 'Alberto', 54),
(2, 'Marta', 46),
(3, 'Daniel', 48),
(4, 'Chelo', 34),
(5, 'Roberto', 64),
(6, 'Rosa', 45),
(7, 'Ana', 29),
(8, 'Ramon', 63),
(9, 'Joaquin', NULL),
(10, 'Carmen', 48);

-- 
-- Dumping data for table noticias
--
INSERT INTO noticias VALUES
(1, 'La ciudad de los puertos', 1),
(2, 'Otra pelicula de accion', NULL),
(3, 'Esta terminando el ocaso', 10),
(4, 'El mar de las mareas', NULL),
(5, 'El partido del siglo', 3),
(6, 'Uno mas de los nuestros', NULL),
(7, 'La nueva red social', 8),
(8, 'El pueblo de pescadores', 3),
(9, 'El virus del 2020', 2),
(10, 'La lucha continua', 1);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;